<? 
include_once("valida_sessao.php");
protegePagina(); 
include_once("adm_head.php");
?>

<span class="dir">Editar Notícias</span>
</div>

<div id="conteudo">

<?php
include_once("config.php");
if (isset($_POST['submit'])) {
$id = $_POST['id'];
$data = "0000-00-00";
if($_POST['data']!=""){
	$data = explode("/",$_POST['data']);
	$data = $data[2]."-".$data[1]."-".$data[0];
}
$titulo = $_POST['titulo'];
$texto = $_POST['texto'];
$keywords = $_POST['keywords'];
$description = $_POST['description'];
$foto = $_FILES['foto'];
$img = $_POST['img'];

	include_once("ctd_capa_imagem.php");		
	if(isset($caminho_imagem)){
		$img = $caminho_imagem;
	}
	
   	include_once("utf8.php");
   
   	//VERIFICA SE É A MESMA FOTO     
	$sql_foto = mysqli_query($conn, "SELECT n_foto FROM ctd_noticias WHERE n_id = $id");
	$resultado_foto = mysqli_fetch_array($sql_foto);
	//SE NÃO FOR EXCLUI A ANTIGA
	if($resultado_foto['n_foto']!=$img){
			unlink("../".$resultado_foto['n_foto']);
	}
   
   	$update = "UPDATE ctd_noticias SET n_data = '$data', n_titulo = '$titulo', n_texto = '$texto', n_foto = '$img', n_keywords = '$keywords', n_description = '$description' WHERE n_id = $id";
   	mysqli_query($conn, $update);
   	mysqli_close($conn);
      
   	$local = "ctd_noticia_alt.php?id=".$id."&alterado=1";
   	echo "<script>location.href='$local';</script>";

} else {
	
if(isset($_GET['alterado'])){
	echo "<p class=\"sucesso\">Alterado Com Sucesso!</p>";
}

$id = $_GET['id'];

include_once("utf8.php");

$qry = "SELECT *, date_format(n_data,'%d/%m/%Y') as data FROM ctd_noticias WHERE n_id = $id";
$consulta = mysqli_query($conn, $qry);
$result = mysqli_fetch_array($consulta)

?>

<form name="frmnoticia" method="POST" action="<?=$_SERVER['PHP_SELF']?>" onSubmit="return valida_noticia(this);" enctype="multipart/form-data">
  <table align="center" cellspacing="0" cellpadding="0" class="form">
    	  <tr>
            <td>
			Código(ID):
			<?=$result['n_id']?>            
            </td>
          </tr>
          <tr>            
            <td>
            <img src="imagem/importante.gif" />
            Data <br />
            <input type="text" name="data" id="data" maxlength="10" />
            </td>
          </tr>          
          <tr>            
            <td>
            <img src="imagem/importante.gif" />
            Título <br />
            <input type="text" name="titulo" value="<?=$result['n_titulo']?>" maxlength="250" />
            </td>
          </tr>
          <tr>
            <td>            
            Texto <br />
            <textarea rows="15" name="texto" class="ckeditor"><?=$result['n_texto']?></textarea>
            </td>
          </tr>
          <tr>
          	<td>
            <input type="hidden" name="img" value="<?=$result['n_foto'];?>" />
            <? if($result['n_foto']) {echo '<img src="/slir/w400-h300/'.$result['n_foto'].'" /> <br />'; } ?>
            Foto <br />
            <input type="file" name="foto" id="foto" />    
            </td>
          </tr>
          <tr>
            <td colspan="3">            
            Palavras-Chaves <br />
            <textarea rows="4" name="keywords"><?=$result['n_keywords']?></textarea>
            </td>
          </tr>
          <tr>
            <td colspan="3">            
            Meta Descrição <br />
            <textarea rows="7" name="description"><?=$result['n_description']?></textarea>
            </td>
          </tr>
          <tr>
            <td colspan="2" align="center">
            <input type="hidden" value="<?=$id?>" name="id" />
              <input type="button" value="Voltar" name="voltar" onclick="location.href='ctd_noticia_adm.php'">
              <input type="submit" value="Salvar" name="submit" />
              </td>
          </tr>
        </table>
</form>
<?php
}
mysqli_close($conn);
?>
</div>

<link href="css/calendar-eightysix-v1.1-default.css" rel="stylesheet" type="text/css" media="screen" />

<script type="text/javascript" src="js/mootools-1.2.4-core.js"></script>
<script type="text/javascript" src="js/mootools-1.2.4.4-more.js"></script>
<script type="text/javascript" src="js/calendar-eightysix-v1.1.js"></script>

<script type="text/javascript">
window.addEvent('domready', function() {
	
MooTools.lang.set('pt-BR', 'Date', {
	months: ['Janeiro', 'Fevereiro', 'Março', 'Abril', 'Maio', 'Junho', 'Julho', 'Agosto', 'Setembro', 'Outubro', 'Novembro', 'Dezembro'],
	days: ['Do', 'Se', 'Te', 'Qa', 'Qi', 'Se', 'Sa'],
	dateOrder: ['date', 'month', 'year', '/']
});

MooTools.lang.setLanguage('pt-BR');	
	
var calendarXIa = new CalendarEightysix('data', {'theme': 'default red', 'defaultDate': '<?=$result['data']?>' , 'format': '%d/%m/%Y' , 'disallowUserInput': true, 'alignX': 'left', 'alignY': 'bottom' });
				
});
</script>

<? include_once("adm_foot.php"); ?>